Subject: Re: /usr/bin/env - Incorrect parsing of #! line?
From: [email-masked] (Peter J. Acklam)
To: "David Gluss" <[email-masked]>
Cc: <[email-masked]>, "Peter J. Acklam" <[email-masked]>
Date: Tue, 12 Feb 2002 21:15:06 +0100

"David Gluss" <[email-masked]> wrote:

> I don't know if it's constructive to suggest an alternative trick, rather
> than trying to fix cygwin, in this forum.  However, this might work
> for you:
>>------------
>>: # -*-Mode: perl;-*- use perl, wherever it is
>>eval 'exec perl -wS $0 ${1+"$@"}'
>>  if 0;
>>#!/usr/local/bin/perl -w
>>------------

Thanks!  But I wonder, does the colon really belong there?  If so,
what does it do?  Will this work under all common shells (sh, ksh,
bash, zsh, csh, tcsh)?

I hasitate to use a script with no shebang line, because I'm so
used to it always being present in a script, but if I don't really
need it, then I guess I can do without.

Peter

-- 
People say I'm indifferent, but I don't care.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/